# Dependencies demo (Vue 2)

This example uses Bryntum Scheduler Pro wrapped in the provided `BryntumSchedulerPro` wrapper (`<bryntum-scheduler-pro>`).
Shows how to use the Vue Scheduler dependencies features to connect tasks using drag and drop.

This project was generated with [Vue cli](https://cli.vuejs.org/) v.~2.6.10.

# Bryntum Repository access setup

**IMPORTANT NOTE!** These access instructions are mandatory when using the private Bryntum NPM repository.

This example uses npm packages from the Bryntum private NPM repository. You must be logged-in to this repository as a
licensed or trial user to access the packages. Please
check [Online npm repository guide](https://bryntum.com/products/schedulerpro/docs/guide/SchedulerPro/npm-repository) for detailed information
on the sign-up/login process. Also you can check bundled guide inside distribution zip
in `docs/guides/npm-repository.md`.

# Vue integration guide

Please check this  
[Bryntum Vue integration online guide](https://bryntum.com/products/schedulerpro/docs/guide/SchedulerPro/integration/vue/guide) for
detailed integration information and help. Also you can check bundled guide inside distribution zip
in `docs/guides/integration/vue/guide.md`.

# Installation

Use the following command to install the example packages after the successful login.

Using **npm**:

```shell
$ npm install
```

Using **yarn**:

```shell
$ yarn install
```

**Note:** This demo uses `.npmrc` file to install dependencies with **npm** v7 or above. Please read
[information here](https://bryntum.com/products/schedulerpro/docs/guide/SchedulerPro/integration/vue/guide#legacy-peer-dependencies).

# Running a development server

To build example and start development server run this command:

Using **npm**:

```shell
$ npm run serve
```

Using **yarn**:

```shell
$ yarn run serve
```

Navigate to `http://localhost:8000/` or `http://127.0.0.1:8000/` in your browser. We recommend to use latest versions of
modern browsers like Chrome, FireFox, Safari or Edge (Chromium). The app will automatically reload if you change any of
the source files.

# Creating a production build

To build production code for the example run this command:

Using **npm**:

```shell
$ npm run build
```

Using **yarn**:

```shell
$ yarn run build
```

The build artifacts will be stored in the `dist/` directory.

# Distribution zip references

* Bryntum API docs. Open `docs/index.html` in your browser.
* Bryntum Repository guide `docs/guides/npm-repository.md`.
* Bryntum Vue integration guide `docs/guides/integration/vue/guide.md`.

# Online References

* [Vue Framework](https://vuejs.org/)
* [Bryntum Vue integration guide](https://bryntum.com/products/schedulerpro/docs/guide/SchedulerPro/integration/vue/guide)
* [Bryntum Scheduler Pro documentation](https://bryntum.com/products/schedulerpro/docs/)
* [Bryntum Scheduler Pro examples](https://bryntum.com/products/schedulerpro/examples/)
* [Bryntum npm repository guide](https://bryntum.com/products/schedulerpro/docs/guide/SchedulerPro/npm-repository)
* [Bryntum support Forum](https://forum.bryntum.com/)
* [Contacts us](https://bryntum.com/contact/)
